
using System;
using Gtk;

namespace Amic
{

	namespace GridCreator
	{
		public partial class NewGridWindow : Gtk.Window
		{
			protected virtual void OnAcceptButtonClicked (object sender, System.EventArgs e)
			{
				
				if(nameEntry.Text!=null&&nameEntry.Text!=""){
				
					this.Hide();
					
					
					Console.WriteLine("[NewGridWindow] Name: " + nameEntry.Text);
					Console.WriteLine("[NewGridWindow] Rows: " + rowsSpinbutton.Text + " Cols: " + columnsSpinbutton.Text);
					Console.WriteLine("[NewGridWindow] Description: " + descriptionTextview.Buffer.Text);
					
					Amic.GridCreator.Core core= Amic.GridCreator.Core.getCore();
					
					core.openedGrid=new Amic.GridCreator.Grid();
					core.openedGrid.name=nameEntry.Text;
					core.openedGrid.width=Convert.ToInt32(columnsSpinbutton.Text);
					core.openedGrid.height=Convert.ToInt32(rowsSpinbutton.Text);
					core.openedGrid.description=descriptionTextview.Buffer.Text;
					
					
					core.gridWidget=new Amic.GridCreator.GridWidget();
					core.gridWidget.init(core.openedGrid.width,core.openedGrid.height);
					core.win.showGrid();
					
					string path=GridCreator.Preferences.dir_grids+"/"+core.CurrentProjectName+".AmicProject/"+core.openedGrid.name+".grid";
					Console.WriteLine("And the grid is...: "+path);
					core.CurrentFileToSave=path;
					
					
				}
				else { 
					
					
					MessageDialog md = new MessageDialog (GridCreator.Core.getCore().win , Gtk.DialogFlags.DestroyWithParent,
					  	                              		MessageType.Warning, ButtonsType.Close, 
					      	                          		Mono.Unix.Catalog.GetString("You need to specify a name for the pictogram."));
					md.Run();
					md.Destroy();
				}
				
			}
			
			
	
			public NewGridWindow () : base(Gtk.WindowType.Toplevel)
			{
				this.Modal=true;
				this.Build ();
			}
			protected virtual void OnCancelButtonClicked (object sender, System.EventArgs e)
			{
				this.Hide();
			}
			
			
		}
	}
}
