using System;
using System.IO;

namespace Amic{
	namespace GridCreator
	{
	public static class Preferences
	{
		// Directories
		public static string dir_resources {get; set;}
		public static string dir_img {get; set;}
		public static string dir_img_custom {get; set;}
		public static string dir_audio {get; set;}
		public static string dir_audio_custom {get; set;}
		public static string dir_xml {get; set;}
		public static string dir_gallery {get; set;}
		public static string dir_grids {get; set;}
		public static string dir_themes {get; set;}
		public static string dir_rsrc {get; set;}
		public static string dir_default {get; set;}
		public static string link_custom_image {get; set;}
		public static string link_custom_audio {get; set;}
		public static string link_default_image {get; set;}
		public static string link_default_audio {get; set;}
		
		

		
		// Language Variables
		
		public static string lang_code{get;set;}
		public static string lang_voice{get;set;}

		
		static Preferences ()
		{
			dir_resources="";
			dir_img="";
			dir_img_custom="";
			dir_audio="";
			dir_audio_custom="";
			dir_xml="";
			dir_gallery="";
			dir_grids="";
			dir_themes="";
			dir_rsrc="";
			dir_default="";
			link_custom_image="";
			link_custom_audio="";
			link_default_image="";
			link_default_audio="";
			
			// lang preferences
			lang_code="qcv_ES";
			lang_voice="female";
		}
		
		
		public static void LoadPreferences(){
			/*
			 * Llegeix el contingut de l'arxiu /etc/amic.conf
			 * I inicialitza les variables de l'aplicació i els directoris
			 * */
			
			StreamReader fd=File.OpenText("/etc/lliurex-amic/amic.conf");
			string linia;
			while((linia=fd.ReadLine())!=null){
				if (linia.IndexOf('=')!=-1){
 				string [] var_valor = linia.Split(new Char [] {'='});
				Console.WriteLine(var_valor[0]+" val "+var_valor[1]);
					switch (var_valor[0]){
						case "dir_resources":
						dir_resources=var_valor[1];
						break;
						
						case "dir_img":
						dir_img=var_valor[1];
						break;
						
						case "dir_audio":
						dir_audio=var_valor[1];
						break;
						
						case "dir_img_custom":
						dir_img_custom=var_valor[1];
						break;
						
						case "dir_audio_custom":
						dir_audio_custom=var_valor[1];
						break;
						
						case "dir_xml":
						dir_xml=var_valor[1];
						break;
						
						case "dir_gallery":
						dir_gallery=var_valor[1];
						break;
						
						case "dir_grids":
						dir_grids=var_valor[1];
						break;
							
						case "dir_themes":
						dir_themes=var_valor[1];
						break;
						
						case "dir_rsrc":
						dir_rsrc=var_valor[1];
						break;
						
						case "dir_default":
						dir_default=var_valor[1];
						break;
						
						case "link_custom_image_gallery":
						link_custom_image=var_valor[1];
						break;
						
						case "link_default_image_gallery":
						link_default_image=var_valor[1];
						break;
						
						case "link_default_audio_gallery":
						link_default_audio=var_valor[1];
						break;
						
						case "link_custom_audio_gallery":
						link_custom_audio=var_valor[1];
						break;
						
						
						
						
					} // Switch
			
					
				} //if
			} // While
			
			
		} // end LoadConf
		
		
	}
  }
}