
using System;

namespace Amic
{

	namespace GridCreator
	{
		public class Core
		{
			public static Core singleton;
			public Amic.GridCreator.MainWindow win;
			public Amic.GridCreator.NewGridWindow newgridwin;
			public Amic.GridCreator.Grid openedGrid;
			public Amic.GridCreator.GridWidget gridWidget;
			public Amic.GridCreator.XmlManager xmlman;
			public Amic.GridCreator.EditGridWindow editgridwin;
			public Amic.GridCreator.SelectPictogramWindow selectwin;
			public System.Collections.Generic.List<string> openedCategories;
			
			
			
			public Gtk.Widget current;
			
			public bool grid_added;
			//public string amic_images="/usr/share/lliurex-amic/resources/images/"; // Modificat per llegir de preferences
			public string amic_images; // Li donem valor baix
			public string amic_custom_images;
			public Amic.GridCreator.Pictogram PictoModified; // Per comunicar-se amb el diàleg EditPictDialog
			public bool PictoHasBeenModified;
			
			public string CurrentProjectName=""; // Nom del projecte actual
			
			public string CurrentFileToSave=""; // Nom de la ruta del grid actual per gravar-lo.
			public bool CurrentFileSaved=true;
			
			private Core ()
			{
				
				singleton=this;
				Console.WriteLine("[Core] INIT");
				grid_added=false;
				
				// Inicialitzem preferències				
				Amic.GridCreator.Preferences.LoadPreferences();
				amic_images=Amic.GridCreator.Preferences.dir_img+"/";
				amic_custom_images=Amic.GridCreator.Preferences.dir_img_custom+"/";

				win=new Amic.GridCreator.MainWindow();
				win.Show();
				openedCategories=new System.Collections.Generic.List<string>();
				xmlman=new Amic.GridCreator.XmlManager();
				
				
				
				
			}
			
			public static Core getCore()
			{
				if(singleton==null)
					return new Core();
				else return singleton;
			}
			
			
		}
	}
}
