
using System;

namespace Amic
{

	namespace GridCreator
	{
		public class Grid
		{
	
			public System.Collections.Generic.List<Pictogram> pictogram_list;
			
			public string name;
			public string class_;
			public int width;
			public int height;
			public string description;
			
			
			public Grid ()
			{
				pictogram_list=new System.Collections.Generic.List<Pictogram>();
				description="";
			}
			
			public System.Xml.XmlDocument export2XmlDoc()
			{
				System.Xml.XmlDocument xml=new System.Xml.XmlDocument();
				
				
				return xml;
			}
			
		}
		
		public class Pictogram
		{
			public int row;
			public int col;
			public string pictname;
			public string background;
			public System.Collections.Generic.Dictionary<string,string> images;
			public string image;
			public string caption;
			public string align;
			public string fontFace;
			public string theme;
			public int fontSize;
			public string fontTypeFace;
			public string fontColor;
			public string actionType;
			public string actionValue;
			public string actionSpeech;
			public string actionSound;
			public string actionChild;
			public string lang;
			public System.Collections.Generic.Dictionary<string,string> image_list;
			
			
			public Pictogram()
			{
				image_list=new System.Collections.Generic.Dictionary<string, string>();
				pictname="";
				background="#ffffff";
				image="";
				caption="";
				align="bottom";
				fontFace="Arial";
				theme="Default";
				fontSize=12;
				fontTypeFace="";
				fontColor="#000000";
				actionType="";
				actionValue="";
				actionSpeech="";
				actionSound="";
				actionChild="";
				lang="ES_es";
			}
			
			public Pictogram Copy(){
				Pictogram pic=new Pictogram();
				
				pic.row=this.row;
				pic.col=this.col;
				pic.pictname=this.pictname;
				pic.background=this.background;
				//pic.images=this.images;
				Console.WriteLine("long: "+this.image_list.Keys.Count);
				foreach (string str in this.image_list.Keys)
				{
					pic.image_list[str]=this.image_list[str];
					//Console.WriteLine("-----------"+str+"-"+this.images[str]+pic.images[str]);
				}
				pic.image=this.image;
				pic.caption=this.caption;
				pic.align=this.align;
				pic.fontFace=this.fontFace;
				pic.theme=this.theme;
				pic.fontSize=this.fontSize;
				pic.fontTypeFace=this.fontTypeFace;
				pic.fontColor=this.fontColor;
				pic.actionType=this.actionType;
				pic.actionValue=this.actionValue;
				pic.actionSpeech=this.actionSpeech;
				pic.actionSound=this.actionSound;
				pic.actionChild=this.actionChild;
				pic.lang=this.lang;
				
				return pic;
			}
			
			public void printMe()
			{
				Console.WriteLine("[ ] Pictogram : " + pictname);	
				Console.WriteLine("\t row: " + row);
				Console.WriteLine("\t col: " + col);
				Console.WriteLine("\t background: " + background);
				
				foreach(System.Collections.Generic.KeyValuePair<string,string> key in image_list)
				{
					Console.WriteLine("\t\t theme: " + key.Key);	
					Console.WriteLine("\t\t source: " + key.Value);
				}
				
				Console.WriteLine("\t caption: " + caption);
				Console.WriteLine("\t font face: " + fontFace);
				Console.WriteLine("\t font size: " + fontSize);
				Console.WriteLine("\t font typeFace: " + fontTypeFace);
				Console.WriteLine("\t font color: " + fontColor);
				Console.WriteLine("\t align: " + align);
				Console.WriteLine("\t action type: " + actionType);
				switch(actionType)
				{
					case "speech":	
						Console.WriteLine("\t action value: " + actionSpeech);
						break;
					
					case "sound":
						Console.WriteLine("\t action value: " + actionSound);
						break;
					
					case "child":
						Console.WriteLine("\t action value: " + actionChild);
						break;
					
					default:
						break;
					
					
				}
			}
			
			public System.Collections.Generic.List<string> getCategories()
			{
				
				System.Collections.Generic.List<string> tmp=new System.Collections.Generic.List<string>();
				
				foreach(System.Collections.Generic.KeyValuePair<string,string> key in image_list)
				{
					if(!tmp.Contains(key.Key))
						tmp.Add(key.Key);
				}
				
				return tmp;
				
			}
			
		}
	}
}
