
using System;


namespace Amic
{

	namespace GridCreator
	{
		
		
		public class MenuItemID : Gtk.MenuItem
		{
			public int id;
			
			public MenuItemID(int id)
			{
				this.id=id;	
			}
			
		}
		
		
		
		
		public class DrawingAreaID : Gtk.DrawingArea
		{
				public int id;
			
				public DrawingAreaID(int id)
				{
					this.id=id;			
				}
		
		}
		
	
		[System.ComponentModel.ToolboxItem(true)]
		public partial class GridWidget : Gtk.Bin
		{
			/// Apanyo
			public int min_prop=0;
			/// Apanyo
			
			bool pictoselected=false; // Indica si tenim seleccionat un picto o no
			bool deleteBeforeCopy=false;
			int pictoOriginSelected=0; // id del pictograma seleccionat
			//GridCreator.Pictogram PictoToCopy=null; // Per a copiar picogrames
				
			
			public class PictoDraw
			{
				
			
				
				public DrawingAreaID drawing_area;
				public Pango.Layout layout;		
				public string path;
				public string color;
				public string aling;
				
				public PictoDraw()
				{
					
				}
				
			}				
	
			public System.Collections.Generic.List<Gtk.HBox> hbox_list;
			public Pango.Layout layout;
			//public string default_path="/usr/share/icons/LliureX/96x96/stock/gtk-cancel.png"; // Modificat per llegir de preferences
			public string default_path=GridCreator.Preferences.dir_default+"/notfound.png";
			//public string default_path="/usr/share/icons/gnome/48x48/stock/net/stock_exchange-connector.png";
			public System.Collections.Generic.List<PictoDraw> pictogram_list;
			public int selected_id;
			
			public GridWidget ()
			{
				this.Build ();
				
				
				hbox_list=new System.Collections.Generic.List<Gtk.HBox>();
				pictogram_list=new System.Collections.Generic.List<Amic.GridCreator.GridWidget.PictoDraw>();
	
			}

			
			public void OnMenuItemClicked(object obj, Gtk.ButtonPressEventArgs args)
			{
				try{
					if(((Gtk.AccelLabel)((Gtk.MenuItem)obj).Children[0]).Text=="Choose pictogram")
					{
						
						if(Amic.GridCreator.Core.getCore().selectwin!=null)
							Amic.GridCreator.Core.getCore().selectwin.Hide();
						Amic.GridCreator.Core.getCore().selectwin=new Amic.GridCreator.SelectPictogramWindow();
							
					} else if(((Gtk.AccelLabel)((Gtk.MenuItem)obj).Children[0]).Text=="Edit pictogram"){
						Amic.GridCreator.Core core=Amic.GridCreator.Core.getCore();
						
						// Guardem les posicions del pictograma en què sh'a clicat
						int x,y;
						x=core.openedGrid.pictogram_list[selected_id].col;
						y=core.openedGrid.pictogram_list[selected_id].row;

						Console.WriteLine();
						Gtk.ListStore ThemeStore=core.win.store;
						string CurrentTheme=core.win.selectedTheme;
						Amic.GridCreator.Pictogram nouPic;
						
						if(CurrentTheme==""||CurrentTheme==null) CurrentTheme="Default";
						
						if((core.openedGrid.pictogram_list[selected_id].image_list.Count==0)&&
						   (core.openedGrid.pictogram_list[selected_id].pictname==null||
						    core.openedGrid.pictogram_list[selected_id].pictname==""))
						{
							// No s'ha triat un pictograma, sinò s'ha sel·leccionat editar un pictograma buit. El creem.
							nouPic=new Amic.GridCreator.Pictogram();
							// I assignem bé la fila i columna
							nouPic.col=x;
							nouPic.row=y;
							
							
						} else nouPic=core.openedGrid.pictogram_list[selected_id];
			
		
						
						
												
						Amic.GridCreator.EditPictDialog EditDlg=new Amic.GridCreator.EditPictDialog(nouPic, ThemeStore, CurrentTheme);
						EditDlg.Show();
						
						Amic.GridCreator.Core.getCore().PictoModified.printMe();
						
						if(GridCreator.Core.getCore().PictoHasBeenModified){ // S'ha modificat
							//Console.WriteLine("AAAAAAAAAAA:" + GridCreator.Core.getCore().PictoModified.pictname);
							core.openedGrid.pictogram_list[selected_id]=GridCreator.Core.getCore().PictoModified;							
							Amic.GridCreator.Core.getCore().gridWidget.refreshPic(GridCreator.Core.getCore().PictoModified);

							
						}
	
					}
				} catch(Exception exc){
					Console.WriteLine("Exception: "+exc.Message);
				}
					
			}
			
			public void OnPictoClicked(object obj, Gtk.ButtonPressEventArgs args)
			{
				int id=((DrawingAreaID)obj).id;
				selected_id=id;
				if(args.Event.Button==1)
				{
					Console.WriteLine("Left Click on Pictogram {0}",id);
					// Fem que es puga triar picto amb el botó esquerre
					if(Amic.GridCreator.Core.getCore().selectwin!=null)
						Amic.GridCreator.Core.getCore().selectwin.Hide();
						Amic.GridCreator.Core.getCore().selectwin=new Amic.GridCreator.SelectPictogramWindow();
		
					
				//	pictogram_list[id].path="/usr/share/lliurex-amic/resources/images/06.jpg";
					//((Gtk.DrawingArea)obj).QueueDraw();
				//	pictogram_list[id].drawing_area.QueueDraw();
					
					

					
					
					
				}
				if(args.Event.Button==3)
				{
					Console.WriteLine("Right Click on Pictogram {0}",id);
					
					Gtk.Menu tralari=new Gtk.Menu();
					tralari.Show();

					// Item choose pictogram
					//Gtk.MenuItem menuitem1=new Gtk.MenuItem("");
					Gtk.ImageMenuItem menuitem1=new Gtk.ImageMenuItem(Gtk.Stock.Add, null);
					menuitem1.Show();
					foreach(Gtk.Widget wid in menuitem1.Children)
					{
						((Gtk.AccelLabel)wid).Text="Choose pictogram"; 
					}
					menuitem1.ShowAll();
					tralari.Add(menuitem1);
					
					// Item edit Pictogram
					//Gtk.MenuItem menuitem2=new Gtk.MenuItem("");
					Gtk.ImageMenuItem menuitem2=new Gtk.ImageMenuItem(Gtk.Stock.Edit, null);
					menuitem2.Show();
					foreach(Gtk.Widget wid in menuitem2.Children)
					{
						((Gtk.AccelLabel)wid).Text="Edit pictogram";
					}
					menuitem2.ShowAll();
					tralari.Add(menuitem2);
					
					// Separador
					Gtk.SeparatorMenuItem separator=new Gtk.SeparatorMenuItem();
					separator.Show();
					/*foreach(Gtk.Widget wid in menuitem3.Children)
					{
						((Gtk.AccelLabel)wid). Text="Copy pictogram";
					}*/
					separator.ShowAll();
					tralari.Add(separator);
					
					// Item Copy Pictogram
					//Gtk.MenuItem menuitem3=new Gtk.MenuItem("");
					Gtk.ImageMenuItem menuitem3=new Gtk.ImageMenuItem(Gtk.Stock.Copy, null);
				
					menuitem3.Show();
					foreach(Gtk.Widget wid in menuitem3.Children)
					{
						((Gtk.AccelLabel)wid).Text="Copy pictogram";
						
					}
					menuitem3.ShowAll();
					tralari.Add(menuitem3);
					
					// Item Cut Pictogram
					//Gtk.MenuItem menuitem4=new Gtk.MenuItem("");
					Gtk.ImageMenuItem menuitem4=new Gtk.ImageMenuItem(Gtk.Stock.Cut, null);
					menuitem4.Show();
					foreach(Gtk.Widget wid in menuitem4.Children)
					{
						((Gtk.AccelLabel)wid).Text="Cut pictogram";
					}
					menuitem4.ShowAll();
					tralari.Add(menuitem4);
					
					// Item Paste Pictogram
					//Gtk.MenuItem menuitem5=new Gtk.MenuItem("");
					Gtk.ImageMenuItem menuitem5=new Gtk.ImageMenuItem(Gtk.Stock.Paste, null);
					menuitem5.Show();
					foreach(Gtk.Widget wid in menuitem5.Children)
					{
						((Gtk.AccelLabel)wid).Text="Paste pictogram";
					}
					if (!pictoselected) menuitem5.Sensitive=false;
					menuitem5.ShowAll();
					tralari.Add(menuitem5);
					
					// Item Move Pictogram
					Gtk.ImageMenuItem menuitem6=new Gtk.ImageMenuItem(Gtk.Stock.Refresh, null);
					//Gtk.MenuItem menuitem6=new Gtk.MenuItem("");
					if (!pictoselected) menuitem6.Sensitive=false;
					menuitem6.Show();
					foreach(Gtk.Widget wid in menuitem6.Children)
					{
						((Gtk.AccelLabel)wid).Text="Swap pictograms";
					}
					menuitem6.ShowAll();
					tralari.Add(menuitem6);
					
					// Item Clean Pictogram
					//Gtk.MenuItem menuitem7=new Gtk.MenuItem("");
					Gtk.ImageMenuItem menuitem7=new Gtk.ImageMenuItem(Gtk.Stock.Clear, null);
					menuitem7.Show();
					foreach(Gtk.Widget wid in menuitem7.Children)
					{
						((Gtk.AccelLabel)wid).Text="Clean pictogram";
					}
					menuitem7.ShowAll();
					tralari.Add(menuitem7);				
					
					// TODO: Afegir aci entrades per a...
					// Copiar, Apegar, Moure, Esborrar i Intercanviar!!!
					
					
					// Gestió d'events dels menus
					menuitem1.ButtonPressEvent+=OnMenuItemClicked;
					menuitem2.ButtonPressEvent+=OnMenuItemClicked;
					
					menuitem3.ButtonPressEvent+= OnMenuCopyPictogram;
					menuitem4.ButtonPressEvent+= OnMenuCutPictogram;
					menuitem5.ButtonPressEvent+= OnMenuPastePictogram;
					menuitem6.ButtonPressEvent+= OnMenuSwapPictogram;
					menuitem7.ButtonPressEvent+= OnMenuCleanPictogram;
										
					
					tralari.Popup();					
					
				
				}
				
			}
			
			
			public void OnMenuCopyPictogram(object obj, Gtk.ButtonPressEventArgs args)
			{
				Console.WriteLine("Copying picto...");
				
				//PictoToCopy=new Amic.GridCreator.Pictogram();
				//Amic.GridCreator.Core core=Amic.GridCreator.Core.getCore();
				//PictoToCopy=core.openedGrid.pictogram_list[selected_id];
								
				pictoselected=true; // Indiquem que s'ha seleccionat un picto
				deleteBeforeCopy=false; // Indica que cal copiar (no esborra)
				pictoOriginSelected=selected_id; // Guardem l'id del picto
			}
			
			public void OnMenuCutPictogram(object obj, Gtk.ButtonPressEventArgs args)
			{
				Console.WriteLine("Cuting picto...");	
				
				pictoselected=true; // Indiquem que s'ha seleccionat un picto
				deleteBeforeCopy=true; // Cal eliminar el picto original (retalla)
				pictoOriginSelected=selected_id; // Guardem l'id del picto
			}
			
			public void OnMenuPastePictogram(object obj, Gtk.ButtonPressEventArgs args)
			{
				Console.WriteLine("Pasting picto...");
				if(pictoselected){
					int tmpCol, tmpRow;
					Amic.GridCreator.Core core=Amic.GridCreator.Core.getCore();
					//core.openedGrid.pictogram_list[selected_id]=PictoToCopy;
					
					// Agafem row i col, per preservar la posició
					//Console.WriteLine("BEFORE...");
					tmpCol=core.openedGrid.pictogram_list[selected_id].col;
					tmpRow=core.openedGrid.pictogram_list[selected_id].row;
					//Console.WriteLine(tmpCol+" "+tmpRow);
					core.openedGrid.pictogram_list[selected_id]=new Amic.GridCreator.Pictogram();
					core.openedGrid.pictogram_list[selected_id]=(core.openedGrid.pictogram_list[pictoOriginSelected]).Copy();
					//Console.WriteLine("AFTER");
					//Console.WriteLine(tmpCol+" "+tmpRow);
					
					
					// Restaurem row i col
					core.openedGrid.pictogram_list[selected_id].col=tmpCol;
					core.openedGrid.pictogram_list[selected_id].row=tmpRow;
					
					refreshPic(core.openedGrid.pictogram_list[selected_id]);
					core.CurrentFileSaved=false;
					pictoselected=false; // Després de l'operació, desseleccionem el pictograma
					
					
					if (deleteBeforeCopy)
					{
						Amic.GridCreator.Pictogram nouPic;
						nouPic=new Amic.GridCreator.Pictogram();
						core.openedGrid.pictogram_list[pictoOriginSelected]=nouPic;
						selected_id=pictoOriginSelected;
						//refreshPic(core.openedGrid.pictogram_list[nouPic]);
						refreshPic(nouPic);
							
					}
					
				}
				
			}
			
			public void OnMenuSwapPictogram(object obj, Gtk.ButtonPressEventArgs args)
			{
				Console.WriteLine("Swapping pictos...");	
				if(pictoselected){
					Amic.GridCreator.Core core=Amic.GridCreator.Core.getCore();
					int posxPicA, posyPicA;
					int posxPicB, posyPicB;
					// Picto temporal on copiem el seleccionat ara
					Amic.GridCreator.Pictogram tmpPic;
					tmpPic=new Amic.GridCreator.Pictogram();
					tmpPic=core.openedGrid.pictogram_list[selected_id].Copy();
					posxPicA=core.openedGrid.pictogram_list[selected_id].col;
					posyPicA=core.openedGrid.pictogram_list[selected_id].row;
					
					// Copiem el seleccionat per l'anterior
					posxPicB=core.openedGrid.pictogram_list[pictoOriginSelected].col;
					posyPicB=core.openedGrid.pictogram_list[pictoOriginSelected].row;
					core.openedGrid.pictogram_list[selected_id]=core.openedGrid.pictogram_list[pictoOriginSelected].Copy();
					core.openedGrid.pictogram_list[selected_id].col=posxPicA;
					core.openedGrid.pictogram_list[selected_id].row=posyPicA;
					refreshPic(core.openedGrid.pictogram_list[selected_id]);
					
					
					// Copiem el temporal a la posició de l'anterior
					selected_id=pictoOriginSelected;
					core.openedGrid.pictogram_list[selected_id]=tmpPic.Copy();
					core.openedGrid.pictogram_list[selected_id].col=posxPicB;
					core.openedGrid.pictogram_list[selected_id].row=posyPicB;
					refreshPic(core.openedGrid.pictogram_list[selected_id]);
					
					pictoselected=false; // Després de l'operació, desseleccionem el pictograma
					core.CurrentFileSaved=false; // S'ha modificat el grid
				}
			}
			
			public void OnMenuCleanPictogram(object obj, Gtk.ButtonPressEventArgs args)
			{
				// Creem un picto nou per substituïr-lo
				
				Amic.GridCreator.Core core=Amic.GridCreator.Core.getCore();
				Amic.GridCreator.Pictogram nouPic;
				nouPic=new Amic.GridCreator.Pictogram();
				refreshPic(nouPic);
				Console.WriteLine("Cleaning picto..."+selected_id);	
				core.CurrentFileSaved=false; // S'ha modificat el grid

			}

			
			
			
			public void refreshPic(Amic.GridCreator.Pictogram p)
			{
				Console.WriteLine("[GridWidget] Refreshing PIC ID {0} with {1}",selected_id,p.image);
				
				p.printMe();

				Amic.GridCreator.Core core=Amic.GridCreator.Core.getCore();
				
				System.Collections.Generic.List<string> tmp_list=new System.Collections.Generic.List<string>();
				tmp_list=p.getCategories();
				
				int count_themes=core.openedCategories.Count;
				
				foreach(string str in tmp_list)
				{
					if(!core.openedCategories.Contains(str))
					{
						core.openedCategories.Add(str);
						core.win.store.AppendValues(str);	
					}
					
					
				}
				
				if(count_themes==0)
					core.win.goToDefault();
				
				
				
				
				int row;
				int col;
				row=core.openedGrid.pictogram_list[selected_id].row;
				col=core.openedGrid.pictogram_list[selected_id].col;
			
				p.row=row;
				p.col=col;
				
				core.openedGrid.pictogram_list[selected_id]=p;
				
				PictoDraw tmp_pic=new PictoDraw();
				
				Pango.Context context=this.PangoContext; 
				tmp_pic.layout=new Pango.Layout(context);
				string font=p.fontFace + " " + p.fontTypeFace + " " + Convert.ToString(p.fontSize);
				tmp_pic.layout.FontDescription=Pango.FontDescription.FromString(font);
				
				
				tmp_pic.layout.SetMarkup("<span color='"+p.fontColor+"'>"+p.caption+"</span>");
				tmp_pic.path=core.amic_images+p.image;						
				tmp_pic.color=p.background;				
				// Assignem el align
				Console.WriteLine("**"+p.align+"**");
				tmp_pic.aling=p.align;
				
				pictogram_list[selected_id].color=tmp_pic.color;
				pictogram_list[selected_id].path=tmp_pic.path;
				pictogram_list[selected_id].layout=tmp_pic.layout;
				pictogram_list[selected_id].drawing_area.QueueDraw();
				pictogram_list[selected_id].aling=tmp_pic.aling; // NOU
				
						
				
				
			}
			
			
			public void Expose_Event(object obj, Gtk.ExposeEventArgs args)
			{
				
				int id=((DrawingAreaID)obj).id;
				
				Gdk.GC gc=((Gtk.DrawingArea)obj).Style.TextGC(Gtk.StateType.Normal);
				Cairo.Context context = Gdk.CairoHelper.Create (((Gtk.DrawingArea)obj).GdkWindow);
				
				int x,y;
				((Gtk.DrawingArea)obj).GdkWindow.GetSize(out x, out y);
				Gdk.Pixbuf img=null;
				

				
				try
				{
					if(System.IO.File.Exists(Amic.GridCreator.Core.getCore().amic_images+Amic.GridCreator.Core.getCore().openedGrid.pictogram_list[id].image_list[Amic.GridCreator.Core.getCore().win.selectedTheme]))
					   pictogram_list[id].path=Amic.GridCreator.Core.getCore().amic_images+Amic.GridCreator.Core.getCore().openedGrid.pictogram_list[id].image_list[Amic.GridCreator.Core.getCore().win.selectedTheme];
					else
						pictogram_list[id].path=Amic.GridCreator.Core.getCore().amic_custom_images+Amic.GridCreator.Core.getCore().openedGrid.pictogram_list[id].image_list[Amic.GridCreator.Core.getCore().win.selectedTheme];
					
					//Console.WriteLine(Amic.GridCreator.Core.getCore().amic_images+Amic.GridCreator.Core.getCore().openedGrid.pictogram_list[id].image_list);
				}
				catch
				{
					//Console.WriteLine(e);
					pictogram_list[id].path=default_path;
				}
				
				
				  if(System.IO.File.Exists(pictogram_list[id].path))
					img=new Gdk.Pixbuf(pictogram_list[id].path);
				else
					img=new Gdk.Pixbuf(default_path);
			
				
				if(System.IO.File.Exists(pictogram_list[id].path))
					img=new Gdk.Pixbuf(pictogram_list[id].path);
				else
					img=new Gdk.Pixbuf(default_path);
				
				
			//	img=img.ScaleSimple((int)(x*0.75),(int)(y*0.75),Gdk.InterpType.Bilinear);
				img=img.ScaleSimple((int)(min_prop*0.75),(int)(min_prop*0.75),Gdk.InterpType.Bilinear);
				//img=img.ScaleSimple((200),(200),Gdk.InterpType.Bilinear);

				

				double r=1;
				double g=1;
				double b=1;
				if(pictogram_list[id].color=="")
					context.Color=new Cairo.Color(1,1,1);
				else
				{
					System.Drawing.Color color=System.Drawing.ColorTranslator.FromHtml(pictogram_list[id].color);
					
					
					/*double r=Convert.ToDouble(color.R)/255;
					double g=Convert.ToDouble(color.G)/255;
					double b=Convert.ToDouble(color.B)/255;*/
					r=Convert.ToDouble(color.R)/255;
					g=Convert.ToDouble(color.G)/255;
					b=Convert.ToDouble(color.B)/255;
					context.Color=new Cairo.Color(r,g,b);

				}
				
				
					
				context.Rectangle(0,0,x,y);
				// ADD: Afegint gradient
				Cairo.Gradient pat = new Cairo.LinearGradient (x/2, 0, x/2, y);
				pat.AddColorStop (0, new Cairo.Color (r,g,b));
				
				pat.AddColorStop (1, new Cairo.Color (r+0.5,g+0.5,b+0.5));
				context.Pattern=pat;
				// END ADD
				
				context.FillPreserve();
				
				try
				{
					((Gtk.DrawingArea)obj).GdkWindow.DrawPixbuf(gc,img,0,0,x/2-img.Width/2,y/2-img.Height/2,-1,-1,Gdk.RgbDither.None,0,0);
				}
				catch(Exception e)
				{
					Console.WriteLine("No freaking idea: "+e.Message);
					Console.WriteLine(obj.GetType());
				}
				//img.Show(context,x/2 - img.Width/2,y/2 - img.Height/2);
				
				
				int text_x,text_y, posY;
				pictogram_list[id].layout.GetPixelSize(out text_x,out text_y);
				
				//Console.WriteLine("******************"+pictogram_list[id].aling+"!!!!");
				if(pictogram_list[id].aling=="top")
					posY=10;
				else
					posY=y-text_y;
				
								
				((Gtk.DrawingArea)obj).GdkWindow.DrawLayout(gc,x/2 -text_x/2 ,posY,pictogram_list[id].layout);
				
				((IDisposable)context.Target).Dispose();
				((IDisposable)context).Dispose();
				
			}
			
			
			public void PopulateGrid(int _width,int _height){
				try{				
					int count=0;
					hbox_list=new System.Collections.Generic.List<Gtk.HBox>();
					pictogram_list=new System.Collections.Generic.List<Amic.GridCreator.GridWidget.PictoDraw>();
					
					int row_count=1;				
					int col_count=1;
					
					// Dimensions del grid
					Amic.GridCreator.Core core=Amic.GridCreator.Core.getCore();
					int width=0;
					int height=0;		
					
					if(_width==0) width=core.openedGrid.width;
					else width=_width;
					if(_height==0) height=core.openedGrid.height;
					else height=_height;
					
					Console.WriteLine("*** WIDTH: "+width+" HEIGHT:"+height);
					
					
					int ax=0;	int ay=0; // Dimensions del gridArea
					
					
					for(int j=0;j<height;j++)
					{
						Gtk.HBox tmp_hbox=new Gtk.HBox(false,5);						
						tmp_hbox.Show();
						PictoDraw tmp_pic=new PictoDraw();
						for(int i=0;i<width;i++)
						{
							Console.WriteLine("[GridWidget-init-load] Generating button " + Convert.ToString(count));
							
							tmp_pic=new Amic.GridCreator.GridWidget.PictoDraw();
							tmp_pic.drawing_area=new DrawingAreaID(count);
							tmp_pic.drawing_area.ExposeEvent += Expose_Event;
							tmp_pic.drawing_area.AddEvents ((int) Gdk.EventMask.ButtonPressMask);
							tmp_pic.drawing_area.ButtonPressEvent +=OnPictoClicked;
							
							tmp_pic.drawing_area.Show();
	
							Pango.Context context=this.PangoContext; 
							tmp_pic.layout=new Pango.Layout(context);
							
							
							Console.WriteLine("_WIDTH="+_width);
							
							
							if(_width==0) { // Ve de carregar un grid
								
								Console.WriteLine("row: {0} col:{1}",row_count,col_count);
								
								tmp_pic.layout.FontDescription=Pango.FontDescription.FromString(core.openedGrid.pictogram_list[count].fontFace + " " + core.openedGrid.pictogram_list[count].fontTypeFace + " " + core.openedGrid.pictogram_list[count].fontSize);
								
								tmp_pic.layout.SetMarkup("<span color='"+core.openedGrid.pictogram_list[count].fontColor+"'>"+core.openedGrid.pictogram_list[count].caption+"</span>");
								
								
								core.openedGrid.pictogram_list[count].printMe();
								tmp_pic.path=core.amic_images+core.openedGrid.pictogram_list[count].image_list["Default"];
								tmp_pic.aling=core.openedGrid.pictogram_list[count].align;
								tmp_pic.color=core.openedGrid.pictogram_list[count].background;
								
								
								
								count++;
							
								
							}
							else {
								tmp_pic.layout.FontDescription=Pango.FontDescription.FromString("Arial Bold 10");
								tmp_pic.layout.SetText("Pictogram " + Convert.ToString(count));	
								tmp_pic.path=default_path;
								tmp_pic.aling="bottom";
								tmp_pic.color="";
						
								Amic.GridCreator.Core.getCore().openedGrid.pictogram_list.Add(new Amic.GridCreator.Pictogram());
								Amic.GridCreator.Core.getCore().openedGrid.pictogram_list[count].row=row_count;
								Amic.GridCreator.Core.getCore().openedGrid.pictogram_list[count].col=col_count;
								count++;
								col_count++;
														
										
							}

							pictogram_list.Add(tmp_pic);

							// Afegim la imatge al widget del grid
							//tmp_hbox.Add(tmp_pic.drawing_area);
							tmp_hbox.Homogeneous=false;
							tmp_hbox.PackStart(tmp_pic.drawing_area,false,false,0);
							
								
							/*  Determinem el tamany del widget del grid */
							Amic.GridCreator.Core.getCore().win.getGridWidget().GdkWindow.GetSize(out ax, out ay);
							
							Console.WriteLine("X: "+ax+" Y:"+ay);
							Console.WriteLine("H: "+ax+"/"+height+"="+(ax/height));
							Console.WriteLine("W: "+ay+"/"+width+"="+(ay/width));
							
						
							/**************************/
							// Rescaling pictos  
							Amic.GridCreator.Core.getCore().win.getGridWidget().GdkWindow.GetSize(out ax, out ay); // AIXÍ SI!!
							
							Console.WriteLine("X: "+ax+" Y:"+ay);
							Console.WriteLine("H: "+ax+"/"+height+"="+(ax/height));
							Console.WriteLine("W: "+ay+"/"+width+"="+(ay/width));
		
							// Si els pictos ixen més menuts de 150x150
							if(((ax/height)<150)||(ay/width)<150){
								// els deixem amb 150x150
								min_prop=150;	
							}
							else {
								// Determinem la dimensió més menuda
								if((ax/height)<(ay/width)) min_prop=(ax/height)-5; //( -5 per les vores)
								else min_prop=(ay/width)-5;
							}
							tmp_pic.drawing_area.SetSizeRequest(min_prop,min_prop);
						
							/*END scale**************************/						
					}
						
					hbox_list.Add(tmp_hbox);
				
					col_count=1;
					
					vbox.Homogeneous=false;
					
					vbox.PackStart(tmp_hbox,false,false,0);
					row_count++;
				}
				
				vbox.ShowAll();
				Console.WriteLine("done");
					
					
					
					
				}catch (Exception ex){
					Console.WriteLine("Exception Populating Grid: "+ex.Message);
				}
			}
			
			
			public void loadFromFile()
			{
				PopulateGrid(0,0);
			/*	try{
				
				
					int count=0;
					hbox_list=new System.Collections.Generic.List<Gtk.HBox>();
					pictogram_list=new System.Collections.Generic.List<Amic.GridCreator.GridWidget.PictoDraw>();
					Amic.GridCreator.Core core=Amic.GridCreator.Core.getCore();
					int width=core.openedGrid.width;
					int height=core.openedGrid.height;
				//	Console.WriteLine("<<<<<<<<<<" + height);
					
					int ax=0;	int ay=0; // Dimensions del gridArea
					//int min_prop=0; // Proporció mínima
					
					for(int j=0;j<height;j++)
					{
						Gtk.HBox tmp_hbox=new Gtk.HBox(false, 5);
						tmp_hbox.Show();
						PictoDraw tmp_pic=new PictoDraw();
						for(int i=0;i<width;i++)
						{
							Console.WriteLine("[GridWidget-load] Generating button " + Convert.ToString(count));
	
							tmp_pic=new Amic.GridCreator.GridWidget.PictoDraw();
							tmp_pic.drawing_area=new DrawingAreaID(count);
							tmp_pic.drawing_area.ExposeEvent += Expose_Event;
													
							tmp_pic.drawing_area.AddEvents ((int) Gdk.EventMask.ButtonPressMask);
							
							tmp_pic.drawing_area.ButtonPressEvent +=OnPictoClicked;
							//tmp_pic.drawing_area.dr
							tmp_pic.drawing_area.Show();						
							Pango.Context context=this.PangoContext; 
							tmp_pic.layout=new Pango.Layout(context);
							//Console.WriteLine("SIZE: "+core.openedGrid.pictogram_list.Count);
							Console.WriteLine(core.openedGrid.pictogram_list[count].fontFace + " " + core.openedGrid.pictogram_list[count].fontTypeFace + " " + core.openedGrid.pictogram_list[count].fontSize);
							tmp_pic.layout.FontDescription=Pango.FontDescription.FromString(core.openedGrid.pictogram_list[count].fontFace + " " + core.openedGrid.pictogram_list[count].fontTypeFace + " " + core.openedGrid.pictogram_list[count].fontSize);
							
							tmp_pic.layout.SetText(core.openedGrid.pictogram_list[count].caption);
							//tmp_pic.path=core.amic_images+core.openedGrid.pictogram_list[count].images["Default"];
							
							core.openedGrid.pictogram_list[count].printMe();
							tmp_pic.path=core.amic_images+core.openedGrid.pictogram_list[count].image_list["Default"];
							
							Console.WriteLine(tmp_pic.path);
							
							//if(tmp_pic.path==null) Console.WriteLine("NULLLLLLLLLLLLLLLLLLLLLLLLLLLL");
							tmp_pic.aling=core.openedGrid.pictogram_list[count].align;
							//tmp_pic.path="";
						//	Console.WriteLine(tmp_pic.path);
							tmp_pic.color=core.openedGrid.pictogram_list[count].background;
							
							
							// 
							//Amic.GridCreator.Core.getCore().gridWidget.GdkWindow.GetSize(out ax, out ay); -> NO FUNCIONA
							Amic.GridCreator.Core.getCore().win.getGridWidget().GdkWindow.GetSize(out ax, out ay); // AIXÍ SI!!
							
							Console.WriteLine("X: "+ax+" Y:"+ay);
							Console.WriteLine("H: "+ax+"/"+height+"="+(ax/height));
							Console.WriteLine("W: "+ay+"/"+width+"="+(ay/width));
		
						// Si els pictos ixen més menuts de 150x150
							if(((ax/height)<150)||(ay/width)<150){
								// els deixem amb 150x150
								tmp_pic.drawing_area.SetSizeRequest(150,150);
								min_prop=150;
							}
							else {
								// Determinem la dimensió més menusa
								if((ax/height)<(ay/width)) min_prop=(ax/height); 
								else min_prop=(ay/width);
								tmp_pic.drawing_area.SetSizeRequest(min_prop,min_prop);
								//tmp_pic.drawing_area.SetSizeRequest(200,200);
								//tmp_pic.drawing_area.
							}
							
						
							
							/*
							Pango.Context context=this.PangoContext; 
							tmp_pic.layout=new Pango.Layout(context);
							string font=core.openedGrid.pictogram_list[count].fontFace + " " + core.openedGrid.pictogram_list[count].fontTypeFace + " " + Convert.ToString(core.openedGrid.pictogram_list[count].fontSize);
							tmp_pic.layout.FontDescription=Pango.FontDescription.FromString(font);
							tmp_pic.layout.SetMarkup("<span color='"+core.openedGrid.pictogram_list[count].fontColor+"'>"+core.openedGrid.pictogram_list[count].caption+"</span>");
							tmp_pic.path=core.amic_images+core.openedGrid.pictogram_list[count].image;						
							tmp_pic.color=core.openedGrid.pictogram_list[count].background;
							* /
							
							tmp_hbox.Add(tmp_pic.drawing_area);
							//tmp_hbox.SetSizeRequest(min_prop, min_prop);
							
							tmp_hbox.Homogeneous=false;
							tmp_hbox.PackStart(tmp_pic.drawing_area,false,false,0);
							pictogram_list.Add(tmp_pic);
							count++;
							
						}
						
						
			tmp_hbox.Add(new Gtk.VBox(false, 0));
						
						hbox_list.Add(tmp_hbox);
						
						vbox.Homogeneous=false;
						
						//vbox.SetSizeRequest(min_prop, min_prop);
						
						vbox.PackStart(tmp_hbox,false,false, 0);
					}
					
					vbox.ShowAll();
					Console.WriteLine("hago fila");
				} catch(Exception exc){
					Console.WriteLine("Exception rendering loaded file: "+exc.Message);
				}*/
			}
			
			
			public void init(int width,int height)
			{
				PopulateGrid(width, height);
				/*int count=0;
				hbox_list=new System.Collections.Generic.List<Gtk.HBox>();
				pictogram_list=new System.Collections.Generic.List<Amic.GridCreator.GridWidget.PictoDraw>();
				
				int row_count=1;
				int col_count=1;
				
				for(int j=0;j<height;j++)
				{
					Gtk.HBox tmp_hbox=new Gtk.HBox(false,5);
					
					tmp_hbox.Show();
					PictoDraw tmp_pic=new PictoDraw();
					for(int i=0;i<width;i++)
					{
						Console.WriteLine("[GridWidget-init] Generating button " + Convert.ToString(count));
						
						tmp_pic=new Amic.GridCreator.GridWidget.PictoDraw();
						tmp_pic.drawing_area=new DrawingAreaID(count);
						tmp_pic.drawing_area.ExposeEvent += Expose_Event;
						tmp_pic.drawing_area.AddEvents ((int) Gdk.EventMask.ButtonPressMask);
						tmp_pic.drawing_area.ButtonPressEvent +=OnPictoClicked;
						
						tmp_pic.drawing_area.Show();

						Pango.Context context=this.PangoContext; 
						tmp_pic.layout=new Pango.Layout(context);
						tmp_pic.layout.FontDescription=Pango.FontDescription.FromString("Arial Bold 10");
						tmp_pic.layout.SetText("Pictogram " + Convert.ToString(count));
						
						tmp_pic.path=default_path;
						tmp_pic.color="";
						
					
						tmp_hbox.Add(tmp_pic.drawing_area);
						pictogram_list.Add(tmp_pic);
						
						Amic.GridCreator.Core.getCore().openedGrid.pictogram_list.Add(new Amic.GridCreator.Pictogram());
						Amic.GridCreator.Core.getCore().openedGrid.pictogram_list[count].row=row_count;
						Amic.GridCreator.Core.getCore().openedGrid.pictogram_list[count].col=col_count;
						Console.WriteLine("row: {0} col:{1}",row_count,col_count);
						count++;
						col_count++;
						
						
						
							/**************************
						ADDED: Rescaling pictos  * /
							int ax=0;	int ay=0; // Dimensions del gridArea
							// int min_prop=0; // Proporció mínima
							// 
							//Amic.GridCreator.Core.getCore().gridWidget.GdkWindow.GetSize(out ax, out ay); -> NO FUNCIONA
							Amic.GridCreator.Core.getCore().win.getGridWidget().GdkWindow.GetSize(out ax, out ay); // AIXÍ SI!!
							
							Console.WriteLine("X: "+ax+" Y:"+ay);
							Console.WriteLine("H: "+ax+"/"+height+"="+(ax/height));
							Console.WriteLine("W: "+ay+"/"+width+"="+(ay/width));
		
						// Si els pictos ixen més menuts de 150x150
							if(((ax/height)<150)||(ay/width)<150){
								// els deixem amb 150x150
								tmp_pic.drawing_area.SetSizeRequest(150,150);
							}
							else {
								// Determinem la dimensió més menusa
								if((ax/height)<(ay/width)) min_prop=(ax/height); 
								else min_prop=(ay/width);
								tmp_pic.drawing_area.SetSizeRequest(min_prop,min_prop);
							}
						
						/*END ADD************************** /
						
					}
					
					
					
					hbox_list.Add(tmp_hbox);
					col_count=1;
					vbox.Add(tmp_hbox);
					
					vbox.Homogeneous=false;
					vbox.PackStart(tmp_hbox,false,false,0);
					row_count++;
				}
				
				vbox.ShowAll();
				Console.WriteLine("init done");
							
			}*/
			
			
		}
			
			public static Gdk.Color ConvertToRGB(string color){
				
				int colorHex=int.Parse(color);
			
			
				byte R=byte.Parse((colorHex&0x0000FF).ToString());
				byte G=byte.Parse(((colorHex&0x00FF00)>>8).ToString());
				byte B=byte.Parse(((colorHex&0xFF0000)>>16).ToString());
				
				//Console.WriteLine("("+R+","+G+","+B+")");
				
				Gdk.Color RetColor=new Gdk.Color(R,G,B);
			
				return RetColor;
			}
	}
}
}